--dofile_once("mods/base_player_updata/myutilities.lua")

function OnPlayerSpawned( player_entity )

	if GlobalsGetValue("WAZAP_LOAD_KEY", "0") == "1" then
		return
	end
	GlobalsSetValue("WAZAP_LOAD_KEY", "1")

	--debug_entity( player_entity )

	local dcomp = EntityGetFirstComponent( player_entity, "DamageModelComponent" )
	if(dcomp ~= nil) then
		local materials_that_damage = ComponentGetValue( dcomp, "materials_that_damage" )
		local materials_how_much_damage = ComponentGetValue( dcomp, "materials_how_much_damage" )

		if materials_that_damage ~= "acid,lava,blood_cold_vapour,blood_cold,poison,radioactive_gas,radioactive_gas_static,rock_static_radioactive,rock_static_poison,ice_radioactive_static,ice_radioactive_glass,ice_acid_static,ice_acid_glass,rock_static_cursed,magic_gas_hp_regeneration,gold_radioactive,gold_static_radioactive,rock_static_cursed_green,cursed_liquid" then
			EntitySetDamageFromMaterial( player_entity, "magic_gas_hp_regeneration", -0.005 )
			EntitySetDamageFromMaterial( player_entity, "gold_radioactive", 0.0002 )
			EntitySetDamageFromMaterial( player_entity, "gold_static_radioactive", 0.0002 )
			EntitySetDamageFromMaterial( player_entity, "rock_static_cursed_green", 0.002 )
			EntitySetDamageFromMaterial( player_entity, "cursed_liquid", 0.001 )
			GamePrint("Set_materials_that_damage")
			--[[
			materials_that_damage = "acid,lava,blood_cold_vapour,blood_cold,poison,radioactive_gas,radioactive_gas_static,rock_static_radioactive,rock_static_poison,ice_radioactive_static,ice_radioactive_glass,ice_acid_static,ice_acid_glass,rock_static_cursed,magic_gas_hp_regeneration,gold_radioactive,gold_static_radioactive,rock_static_cursed_green,cursed_liquid"
			ComponentSetValue( dcomp, "materials_that_damage", materials_that_damage )
			GamePrint("materials_that_damage_OK")
			]]--
		end
		
		if materials_how_much_damage ~= nil then

			--[[
			materials_how_much_damage = "0.005,0.003,0.0006,0.0009,0.001,0.001,0.001,0.001,0.001,0.001,0.001,0.001,0.001,0.005,-0.005,0.0002,0.0002,0.002,0.001"
			ComponentSetValue( dcomp, "materials_how_much_damage", materials_how_much_damage )
			GamePrint("materials_how_much_damage_OK")
			]]--
		end
	end

	local vcomp = EntityGetComponent( player_entity, "VariableStorageComponent" )
	if vcomp ~= nil then
		for i,v in ipairs( vcomp ) do
			local name = ComponentGetValue( v, "name" )
			
			if name == "ocarina_song" then
				return
			end

			if name == "kantele_song" then
				return
			end

			if name == "ocarina_song_pos" then
				return
			end
			if name == "kantele_song_pos" then
				return
			end

		end
		
		local cid = EntityAddComponent( player_entity, "VariableStorageComponent")
		ComponentSetValue( cid, "name", "ocarina_song" )
		ComponentSetValue( cid, "value_string", "" )
				
		local cid = EntityAddComponent( player_entity, "VariableStorageComponent")
		ComponentSetValue( cid, "name", "kantele_song" )
		ComponentSetValue( cid, "value_int", "0" )

		local cid = EntityAddComponent( player_entity, "VariableStorageComponent")
		ComponentSetValue( cid, "name", "ocarina_song_pos" )
		ComponentSetValue( cid, "value_int", "0" )

		local cid = EntityAddComponent( player_entity, "VariableStorageComponent")
		ComponentSetValue( cid, "name", "kantele_song_pos" )
		ComponentSetValue( cid, "value_int", "0" )
			
		GamePrint("Set_vcomp")
	end

	local icomp = EntityGetFirstComponent( player_entity, "ItemPickUpperComponent" )
	if icomp ~= nil then
		local drop_items_on_death = ComponentGetValue( icomp, "drop_items_on_death" )
		if drop_items_on_death ~= "0" then
			drop_items_on_death = "0"
			ComponentSetValue( icomp, "drop_items_on_death", drop_items_on_death )	
			GamePrint("Set_drop_items_on_death")
		end
	end
	--debug_entity( player_entity )

	local x, y = EntityGetTransform( player_entity )
	SetPlayerSpawnLocation( x, y )

end 
